## AgsRecallID

AgsRecallID — The recall id specifies run context

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_RECALL_ID_GET_OBJ_MUTEX()
void | ags_recall_id_set_sound_scope ()
gboolean | ags_recall_id_check_sound_scope ()
gboolean | ags_recall_id_test_staging_flags ()
void | ags_recall_id_set_staging_flags ()
void | ags_recall_id_unset_staging_flags ()
gboolean | ags_recall_id_check_staging_flags ()
gboolean | ags_recall_id_test_state_flags ()
void | ags_recall_id_set_state_flags ()
void | ags_recall_id_unset_state_flags ()
gboolean | ags_recall_id_check_state_flags ()
AgsRecyclingContext * | ags_recall_id_get_recycling_context ()
void | ags_recall_id_set_recycling_context ()
AgsRecallID * | ags_recall_id_find_recycling_context ()
AgsRecallID * | ags_recall_id_find_parent_recycling_context ()
AgsRecallID * | ags_recall_id_new ()

## Properties

GObject * | recycling-context | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecallID

## Includes

    #include <ags/audio/ags_recall_id.h>

## Description

AgsRecallID acts as dynamic context identifier. AgsAudioSignal and AgsRecall are assigned to an AgsRecallID. The recall is looking for audio signals with the very same recall id.

There is a strong relation to AgsRecyclingContext.

## Functions

### AGS_RECALL_ID_GET_OBJ_MUTEX()

    #define AGS_RECALL_ID_GET_OBJ_MUTEX(obj) (&(((AgsRecallID *) obj)->obj_mutex))

### ags_recall_id_set_sound_scope ()

    void
    ags_recall_id_set_sound_scope (AgsRecallID *recall_id,
                                   gint sound_scope);

### ags_recall_id_check_sound_scope ()

    gboolean
    ags_recall_id_check_sound_scope (AgsRecallID *recall_id,
                                     gint sound_scope);

Check if `sound_scope` is set for `recall_id` .

#### Parameters

recall_id | the AgsRecallID |
sound_scope | the sound scope to check or -1 to check all |

#### Returns

`TRUE` if sound scope matches, otherwise `FALSE`

Since: 3.0.0

### ags_recall_id_test_staging_flags ()

    gboolean
    ags_recall_id_test_staging_flags (AgsRecallID *recall_id,
                                      guint staging_flags);

Test `staging_flags` to be set on `recall_id` .

#### Parameters

recall_id | the AgsRecallID |
staging_flags | the staging flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_recall_id_set_staging_flags ()

    void
    ags_recall_id_set_staging_flags (AgsRecallID *recall_id,
                                     guint staging_flags);

Set staging flags.

#### Parameters

recall_id | the AgsRecallID |
staging_flags | staging flags to set |

Since: 3.0.0

### ags_recall_id_unset_staging_flags ()

    void
    ags_recall_id_unset_staging_flags (AgsRecallID *recall_id,
                                       guint staging_flags);

Unset staging flags.

#### Parameters

recall_id | the AgsRecallID |
staging_flags | staging flags to unset |

Since: 3.0.0

### ags_recall_id_check_staging_flags ()

    gboolean
    ags_recall_id_check_staging_flags (AgsRecallID *recall_id,
                                       guint staging_flags);

Check the occurence of `staging_flags` in `recall_id` .

#### Parameters

recall_id | the AgsRecallID |
staging_flags | staging flags to check |

#### Returns

`TRUE` if all flags matched, otherwise `FALSE`

Since: 3.0.0

### ags_recall_id_test_state_flags ()

    gboolean
    ags_recall_id_test_state_flags (AgsRecallID *recall_id,
                                    guint state_flags);

Test `state_flags` to be set on `recall_id` .

#### Parameters

recall_id | the AgsRecallID |
state_flags | the state flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_recall_id_set_state_flags ()

    void
    ags_recall_id_set_state_flags (AgsRecallID *recall_id,
                                   guint state_flags);

Set state flags.

#### Parameters

recall_id | the AgsRecallID |
state_flags | state flags to set |

Since: 3.0.0

### ags_recall_id_unset_state_flags ()

    void
    ags_recall_id_unset_state_flags (AgsRecallID *recall_id,
                                     guint state_flags);

Unset state flags.

#### Parameters

recall_id | the AgsRecallID |
state_flags | state flags to unset |

Since: 3.0.0

### ags_recall_id_check_state_flags ()

    gboolean
    ags_recall_id_check_state_flags (AgsRecallID *recall_id,
                                     guint state_flags);

Check the occurence of `state_flags` in `recall_id` .

#### Parameters

recall_id | the AgsRecallID |
state_flags | state flags to check |

#### Returns

`TRUE` if all flags matched, otherwise `FALSE`

Since: 3.0.0

### ags_recall_id_get_recycling_context ()

    AgsRecyclingContext *
    ags_recall_id_get_recycling_context (AgsRecallID *recall_id);

Get recycling context.

#### Parameters

recall_id | the AgsRecallId |

#### Returns

the AgsRecyclingContext.

[transfer full]

Since: 3.3.0

### ags_recall_id_set_recycling_context ()

    void
    ags_recall_id_set_recycling_context (AgsRecallID *recall_id,
                                         AgsRecyclingContext *recycling_context);

Set recycling context.

#### Parameters

recall_id | the AgsRecallId |
recycling_context | the AgsRecyclingContext |

Since: 3.3.0

### ags_recall_id_find_recycling_context ()

    AgsRecallID *
    ags_recall_id_find_recycling_context (GList *recall_id,
                                          AgsRecyclingContext *recycling_context);

Retrieve recall id by recycling context.

#### Parameters

recall_id | the GList containing AgsRecallID. | [element-type AgsAudio.RecallID][transfer none]
recycling_context | the AgsRecyclingContext to match |

#### Returns

Matching AgsRecallID.

[transfer none]

Since: 3.0.0

### ags_recall_id_find_parent_recycling_context ()

    AgsRecallID *
    ags_recall_id_find_parent_recycling_context
                                   (GList *recall_id,
                                    AgsRecyclingContext *parent_recycling_context);

Retrieve recall id by recycling context.

#### Parameters

recall_id | the GList containing AgsRecallID. | [element-type AgsAudio.RecallID][transfer none]
parent_recycling_context | the AgsRecyclingContext to match |

#### Returns

Matching AgsRecallID.

[transfer none]

Since: 3.0.0

### ags_recall_id_new ()

    AgsRecallID *
    ags_recall_id_new ();

Creates a AgsRecallID

#### Returns

a new AgsRecallID

Since: 3.0.0

## Property Details

### The `“recycling-context”` property

      “recycling-context”        GObject *

The dynamic run context belonging to.

Owner: AgsRecallID

Flags: Read / Write

Since: 3.0.0